REM GEN_EXPORT_NACHTWERK.BAT
REM
REM SVRZ
REM
REM Zet bestelopdrachten/bestellingen op Geleverd 'leverdagen+notidagen'
REM na aanmaken/verzenden van bestelopdracht.
REM Genereer PDF per (bestel)opdracht die de voorgaande dag is verzonden
REM en exporteer/FTP deze naar SVRZ (tbv. Swift Factuur).
REM
REM Context : roep deze file aan indien nodig, of schedule deze
REM Vereist : de randvoorwaarde voor het gebruik van gen_export
REM
REM $Revision$
REM $Id$
REM
REM (c) 2014 SG|facilitor bv
REM

REM ================================================== create exportfile
CALL ..\..\..\utils\gen_export\gen_export.bat NACHTWERK

if not exist swift.bat goto einde

del *.pdf

call swift.bat

for /f "tokens=1,2,3 delims=: " %%a in ('echo %TIME%') do if %%a LSS 10 (set tstamp=0%%a%%b%%c) else (set tstamp=%%a%%b%%c)
for /f "tokens=2,3,4 delims=- " %%a in ('echo %date%') do set dstamp=%%c%%b%%a
set dtstamp=%dstamp%_%tstamp%

move swift.bat NACHTWERK/swift%dtstamp%.txt

REM FTP pdf(s) naar SVRZ
REM ftp.exe -n -s:pdf2svrz.scr
REM ================================================== copy to final destination
copy *.pdf d:\Apps\Facilitor\ftp_sites\LocalUser\SVRZftp\Swift

:einde
